 // This file is part of the project Pinsis-Portal.
 // Copyright (C),2018, by C3SL(Centro de Computação Científica e 
 // Software Live)

 // This program is free software: you can redistribute it and/or modify
 // it under the terms of the GNU General Public License as published by
 // the Free Software Foundation, either version 3 of the License, or
 // (at your option) any later version.

 // This program is distributed in the hope that it will be useful,
 // but WITHOUT ANY WARRANTY; without even the implied warranty of
 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 // GNU General Public License for more details.

 // You should have received a copy of the GNU General Public License
 // along with this program.  If not, see <https://www.gnu.org/licenses/>.


import { Component, OnInit } from '@angular/core';
import * as $ from 'jquery';
import { DataApiService } from '../data-api.service';
declare var hselec: any;

@Component({
  selector: 'app-hospital-selector',
  templateUrl: './hospital-selector.component.html',
  styleUrls: ['./hospital-selector.component.scss']
})

export class HospitalSelectorComponent implements OnInit {
	public hospitals = []; 
	public father;
	private dataApi: DataApiService;
	
	
	
	_itenTriggerClick = function(x){
		this.itemTriggerClick(x,this.father);
	};
	
	itemTriggerClick = function(x,y){}
	
	
	constructor(private da: DataApiService) {
		this.dataApi = da;
	}
	
	ngOnInit() {
		var hselec = this;
		this.dataApi.loadAgents(function(x){
			hselec.hospitals = x;
		});
	}

}
